# IDAES User Interfaces (IDAES-UI)
[Repository on GitHub](https://github.com/IDAES/idaes-ui/)  
[IDAES project website](https://idaes.org)

Copyright 2023 by The IDAES Project Team. See `COPYRIGHT.md` file for details.

You are free to copy, modify, and distribute IDAES-UI with attribution under the terms of the MIT license. See `LICENSE.md` file for details.

## Overview

This repository contains user interfaces for the [Institute for the Design of Advanced Energy Systems (IDAES)](https://idaes.org) Integrated Platform (IDAES-IP).

The primary user interface is the **Flowsheet Visualizer** (FV),
a web-based user interface that can visualize and explore the
properties of computational models ("flowsheets") created using the IDAES Python APIs.

## Installation

IDAES-UI is installed as part of the IDAES Integrated Platform (IDAES-IP).
Please see the README of the [IDAES-PSE repository](https://github.com/IDAES/idaes-pse) and/or the full [IDAES install instructions](https://idaes-pse.readthedocs.io/en/stable/tutorials/getting_started/index.html) for details. 
In a nutshell, you want to add *[ui]* to the list of optional dependencies when you run the main IDAES installation command (*pip* or *conda*).
For example: `pip install idaes[ui]`

## More information

Please refer to the [online documentation](idaes-ui.readthedocs.io) for  more information about the capabilities of this package.

If you have cloned this repository from [GitHub](https://github.com/IDAES/idaes-ui/), you can find the source files for the Sphinx-generated HTML documentation in the `docs` subdirectory.
